www.cendio.com

Bug 5316

Summary: pubkey auth fails with incorrect password if key includes \r\n newlines
Product: ThinLinc Reporter: Henrik Andersson <hean01@cendio.se>
Component: ClientAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se
Version: 4.2.0Keywords: hean01_tester, relnotes
Target Milestone: 4.4.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2014-10-17 15:53:43
The problem lies within openssh when key is read, it will validate buffer size
with filesize which will differ and produce the following failure:

  2014-10-16T10:31:50: ssh[E]: debug1: key_load_file: key file C:\\data\\id_rsa
changed size while reading
------- Comment #1 From cendio 2015-02-16 14:16:32 -------
Only affects Windows as it is the magical \r\n to \n translation that screws
things up. Fixed in r29994.
------- Comment #2 From cendio 2015-02-17 12:53:56 -------
Re-fixed in r29997.
------- Comment #3 From cendio 2015-02-18 10:40:13 -------
Works well. Tested on Fedora 21 and Windows 8.1.
------- Comment #4 From cendio 2015-03-17 13:18:35 -------
Created a broken key using notepad and test with 4.3.0 client and verified that
it was broken (a password less key presented a password prompt). Loaded the
broken key into client build 4695 and it worked as expected.